%global debug_package %{nil}

Name:           oracle-mbs-tools
Version:        1.0
Release:        2%{dist}
Summary:        Oracle utilities for Module Build Service

License:        UPL
Source0:        convert_repodata_modulemd.py
Source1:        LICENSE
Source2:        THIRD_PARTY_LICENSES.txt

BuildArch:      noarch

Requires:       python3-ruamel-yaml

%description
This package contains Oracle utilities for module-build-service package.
convert_repodata_modulemd.py:
    Modifies Modulemd yaml file from Oracle RPM modular repository to be suitable for use by module-build-service package.


%prep
%setup -q -c -T
cp %{SOURCE1} %{SOURCE2} .


%build


%install
mkdir -p %{buildroot}%{_bindir}/
install -m 0755 %{SOURCE0} %{buildroot}%{_bindir}/${name}


%files
%license LICENSE THIRD_PARTY_LICENSES.txt
%{_bindir}/*


%changelog
* Tue Apr 05 2021 Tianyue Lan <tianyue.lan@oracle.com> - 1.0-2
- OLDIS-3162: Add LICENSE and THIRD_PARTY_LICENSES.txt

* Fri Mar 05 2021 David Sloboda <david.x.sloboda@oracle.com> 1.0-1
- Initial package
